List Brand Intelligence Content Analyses Route
curl --request GET \
--url https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/content-analyses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/content-analyses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/content-analyses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generated_at": "2023-11-07T05:31:56Z",
"limit": 123,
"offset": 123,
"total": 0,
"has_more": false,
"brand_domain": "<string>",
"items": [
{
"brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "not_analyzed",
"analysis_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"analysis_kind": "content_teardown",
"subject": "unknown",
"is_own_brand": false,
"brand_domain": "<string>",
"publisher_domain": "<string>",
"summary": "<string>",
"overall_score": 50,
"detected_format": "<string>",
"is_stale": false,
"error_message": "<string>",
"requested_at": "2023-11-07T05:31:56Z",
"analyzed_at": "2023-11-07T05:31:56Z",
"job_id": "<string>",
"item": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "social_post",
"title": "<string>",
"publisher": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain": "<string>",
"platform": "<string>",
"profile_url": "<string>",
"handle": "<string>",
"avatar_url": "<string>",
"industries": [
"<string>"
],
"business_models": [
"<string>"
]
},
"platform": "<string>",
"external_id": "<string>",
"url": "<string>",
"excerpt": "<string>",
"media_type": "<string>",
"is_video": false,
"thumbnail_url": "<string>",
"media_url": "<string>",
"download_url": "<string>",
"media_mirrored": false,
"media_width": 1,
"media_height": 1,
"media_items": [
{
"media_type": "<string>",
"thumbnail_url": "<string>",
"media_url": "<string>"
}
],
"event": {
"event_id": "<string>",
"description": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"venue_name": "<string>",
"address": "<string>",
"going_count": 1,
"interested_count": 1
},
"published_at": "2023-11-07T05:31:56Z",
"language": "<string>",
"theme": "<string>",
"video_duration_seconds": 1,
"country": "<string>",
"tags": [
"<string>"
],
"topics": [
"<string>"
],
"views": 123,
"likes": 123,
"comments": 123,
"shares": 123,
"engagements": 123,
"source_status": "available",
"source_unavailable_reason": "<string>",
"platforms": [
"<string>"
],
"analysis": {
"status": "not_analyzed",
"analysis_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"summary": "<string>",
"overall_score": 50,
"performance_index": 50,
"detected_format": "<string>",
"is_stale": false,
"analyzed_at": "2023-11-07T05:31:56Z"
}
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Brand Intelligence
List Brand Intelligence Content Analyses Route
Return the brand-owned Analyzed Content feed.
GET
/
api
/
v1
/
brands
/
{brand_id}
/
brand-intelligence
/
content-analyses
List Brand Intelligence Content Analyses Route
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Was this page helpful?
⌘I